/*
 * Dokument     : Semestralní práce k předmětu X36PJP
 * Zpracovano   : 18. listopadu 2011
 * Autor        : Radoslava Jandová
 * Username     : jandora1
 * e-mail:      : jandora1@fel.cvut.cz
 * Obor         : STM, Softwarové Inženýrství
 * Semestr      : 5. semestr, zima 2010/2011
 *
 * Pouzity SW   : NetBeans IDE, verze 6.9.1
 * 
 * Tema         : Parsovani dat XML
 *
 * Konzultace   : Ing. Jiri Danecek
 */
package sem;

import java.io.FileNotFoundException;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.xml.stream.XMLStreamException;
import sem.model.AbstractTag;
import sem.model.CisloSkupiny;
import sem.model.Dite;
import sem.model.Jmeno;
import sem.model.Konec;
import sem.model.Lokalita;
import sem.model.Osoba;
import sem.model.Pobyty;
import sem.model.Pohlavi;
import sem.model.PohlaviEnum;
import sem.model.Prijmeni;
import sem.model.RokNarozeni;
import sem.model.Skupina;
import sem.model.Zacatek;
import sem.model.Turnus;
import sem.model.Vedouci;

/**
 *
 * @author Radka
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            // TODO code application logic here
            PobytyParser parser = new PobytyParser("test.xml");
            AbstractTag q = parser.parsePobyty();
            PrintWriter pw1 = new PrintWriter(new OutputStreamWriter(System.out), true);
            q.printElement(pw1, 0);

            Pobyty p =  new Pobyty(
                        new Turnus(
                        new Lokalita("Hvar"),
                        new Zacatek(
                        new Date()),
                        new Konec(
                        new Date()),
                        new Skupina(
                        new CisloSkupiny(1),
                        new Vedouci(
                        new Osoba(
                        new Jmeno("Franta"),
                        new Prijmeni("Maly"),
                        new RokNarozeni(1973))),
                        new Dite(
                        new Osoba(
                        new Jmeno("Jan"),
                        new Prijmeni("Karas"),
                        new RokNarozeni(2000)),
                        new Pohlavi(PohlaviEnum.Mr)))));

            PrintWriter pw = new PrintWriter(new OutputStreamWriter(System.out), true);
            p.printElement(pw, 0);

        } catch (FileNotFoundException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        } catch (XMLStreamException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        } catch (SyntaxeError ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        }

    }
}
