/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sem.model;

import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Collection;

/**
 *
 * @author Radka
 */
public class Turnus extends AbstractTag {

    Lokalita lokalita;
    Zacatek termin;
    Konec konec;
    Collection<Skupina> skupiny;

    public Turnus(Lokalita lokalita, Zacatek termin, Konec konec, Collection<Skupina> skupiny) {
        this.lokalita = lokalita;
        this.termin = termin;
        this.konec = konec;
        this.skupiny = skupiny;
    }

    public Turnus(Lokalita lokalita, Zacatek termin, Konec konec, Skupina... skupiny) {
        this(lokalita, termin, konec, Arrays.asList(skupiny));
    }

    @Override
    public void printElement(PrintWriter writer, int odsazeni) {
        tiskniOdsazeniLn(writer, odsazeni, startTag());
        lokalita.printElement(writer, odsazeni + ODSAZENI);
        termin.printElement(writer, odsazeni + ODSAZENI);
        konec.printElement(writer, odsazeni + ODSAZENI);
        for (Skupina skupina : skupiny) {
            skupina.printElement(writer, odsazeni + ODSAZENI);
        }
        tiskniOdsazeniLn(writer, odsazeni, endTag());
    }
}
